> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Migration Source coverage



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/storage-data.yml get /storage/migration_source_coverage
openapi: 3.1.0
info:
  title: Telnyx Storage & Data API
  version: 2.0.0
  description: API for Storage & Data.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /storage/migration_source_coverage:
    get:
      tags:
        - Data Migration
      summary: List Migration Source coverage
      operationId: ListMigrationSourceCoverage
      parameters: []
      responses:
        '200':
          description: List Migrations Source Coverage Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/MigrationSourceCoverageParams'
                  meta:
                    $ref: '#/components/schemas/PaginationMetaSimple'
          headers: {}
        '401':
          description: Unauthorized
        '422':
          description: Unprocessable Entity
      deprecated: false
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.storage.listMigrationSourceCoverage();

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.storage.list_migration_source_coverage()
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Storage.ListMigrationSourceCoverage(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.storage.StorageListMigrationSourceCoverageParams;

            import
            com.telnyx.sdk.models.storage.StorageListMigrationSourceCoverageResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    StorageListMigrationSourceCoverageResponse response = client.storage().listMigrationSourceCoverage();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.storage.list_migration_source_coverage

            puts(response)
        - lang: CLI
          source: |-
            telnyx storage list-migration-source-coverage \
              --api-key 'My API Key'
components:
  schemas:
    MigrationSourceCoverageParams:
      type: object
      properties:
        provider:
          type: string
          enum:
            - aws
          description: Cloud provider from which to migrate data.
        source_region:
          type: string
          description: Provider region from which to migrate data.
    PaginationMetaSimple:
      type: object
      properties:
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````